A portable, open-source, coherent noise-generating library for C++

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members

# noise::ExceptionNoModule Class Reference
[libnoise]

`#include <exception.h>`

Inheritance diagram for noise::ExceptionNoModule:

## Detailed Description

No module exception.

Could not retrieve a source module from a noise module.

Note:
  If one or more required source modules were not connected to a specific noise module, and its GetValue() method was called, that method will raise a debug assertion instead of this exception. This is done for performance reasons.

The documentation for this class was generated from the following file:

- exception.h